## org.exist.xmldb.test
Class ShutdownTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmldb.test.ShutdownTest

All Implemented Interfaces:
  junit.framework.Test

public class ShutdownTest
extends junit.framework.TestCase

Check if database shutdown/restart works properly. The test opens the database, stores a few files and queries them, then shuts down the db.

Author:
  wolf

Constructor Summary
`ShutdownTest(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testShutdown()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShutdownTest

    public ShutdownTest(java.lang.String name)

Method Detail

### testShutdown

    public void testShutdown()

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.